<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="_r_e_a_d_m_e_8md" kind="file" language="Markdown">
    <compoundname>README.md</compoundname>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline><highlight class="normal">#<sp />CY8CKIT-145-40XX<sp />BSP</highlight></codeline>
<codeline />
<codeline><highlight class="normal">##<sp />Overview</highlight></codeline>
<codeline />
<codeline><highlight class="normal">The<sp />PSoC<sp />4000S<sp />Prototyping<sp />Kit<sp />enables<sp />you<sp />to<sp />evaluate<sp />and<sp />develop<sp />with<sp />Cypress's<sp />fourth-generation,<sp />low-power<sp />CapSense<sp />solution<sp />using<sp />the<sp />PSoC<sp />4000S<sp />device.</highlight></codeline>
<codeline><highlight class="normal">![](board.png)</highlight></codeline>
<codeline />
<codeline><highlight class="normal">To<sp />use<sp />code<sp />from<sp />the<sp />BSP,<sp />simply<sp />include<sp />a<sp />reference<sp />to<sp />`cybsp.h`.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">##<sp />Features</highlight></codeline>
<codeline />
<codeline><highlight class="normal">###<sp />Kit<sp />Features:</highlight></codeline>
<codeline />
<codeline><highlight class="normal">*<sp />World's<sp />Most<sp />Reliable,<sp />Lowest<sp />Power<sp />CapSense<sp />Solution</highlight></codeline>
<codeline><highlight class="normal">*<sp />On-board<sp />Programmer<sp />and<sp />Debugger</highlight></codeline>
<codeline />
<codeline><highlight class="normal">###<sp />Kit<sp />Contents:</highlight></codeline>
<codeline />
<codeline><highlight class="normal">*<sp />CY8CKIT-145-40XX<sp />PSoC<sp />4000S<sp />Prototyping<sp />board</highlight></codeline>
<codeline><highlight class="normal">*<sp />Quick<sp />Start<sp />Guide</highlight></codeline>
<codeline />
<codeline><highlight class="normal">##<sp />BSP<sp />Configuration</highlight></codeline>
<codeline />
<codeline><highlight class="normal">The<sp />BSP<sp />has<sp />a<sp />few<sp />hooks<sp />that<sp />allow<sp />its<sp />behavior<sp />to<sp />be<sp />configured.<sp />Some<sp />of<sp />these<sp />items<sp />are<sp />enabled<sp />by<sp />default<sp />while<sp />others<sp />must<sp />be<sp />explicitly<sp />enabled.<sp />Items<sp />enabled<sp />by<sp />default<sp />are<sp />specified<sp />in<sp />the<sp />CY8CKIT-145-40XX.mk<sp />file.<sp />The<sp />items<sp />that<sp />are<sp />enabled<sp />can<sp />be<sp />changed<sp />by<sp />creating<sp />a<sp />custom<sp />BSP<sp />or<sp />by<sp />editing<sp />the<sp />application<sp />makefile.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">Components:</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />Device<sp />specific<sp />HAL<sp />reference<sp />(e.g.:<sp />PSOC6HAL)<sp />-<sp />This<sp />component,<sp />enabled<sp />by<sp />default,<sp />pulls<sp />in<sp />the<sp />version<sp />of<sp />the<sp />HAL<sp />that<sp />is<sp />applicable<sp />for<sp />this<sp />board.</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />BSP_DESIGN_MODUS<sp />-<sp />This<sp />component,<sp />enabled<sp />by<sp />default,<sp />causes<sp />the<sp />Configurator<sp />generated<sp />code<sp />for<sp />this<sp />specific<sp />BSP<sp />to<sp />be<sp />included.<sp />This<sp />should<sp />not<sp />be<sp />used<sp />at<sp />the<sp />same<sp />time<sp />as<sp />the<sp />CUSTOM_DESIGN_MODUS<sp />component.</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />CUSTOM_DESIGN_MODUS<sp />-<sp />This<sp />component,<sp />disabled<sp />by<sp />default,<sp />causes<sp />the<sp />Configurator<sp />generated<sp />code<sp />from<sp />the<sp />application<sp />to<sp />be<sp />included.<sp />This<sp />assumes<sp />that<sp />the<sp />application<sp />provides<sp />configurator<sp />generated<sp />code.<sp />This<sp />should<sp />not<sp />be<sp />used<sp />at<sp />the<sp />same<sp />time<sp />as<sp />the<sp />BSP_DESIGN_MODUS<sp />component.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">Defines:</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />CYBSP_WIFI_CAPABLE<sp />-<sp />This<sp />define,<sp />disabled<sp />by<sp />default,<sp />causes<sp />the<sp />BSP<sp />to<sp />initialize<sp />the<sp />interface<sp />to<sp />an<sp />onboard<sp />wireless<sp />chip.</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />*<sp />CY_USING_HAL<sp />-<sp />This<sp />define,<sp />enabled<sp />by<sp />default,<sp />specifies<sp />that<sp />the<sp />HAL<sp />is<sp />intended<sp />to<sp />be<sp />used<sp />by<sp />the<sp />application.<sp />This<sp />will<sp />cause<sp />the<sp />BSP<sp />to<sp />include<sp />the<sp />applicable<sp />header<sp />file<sp />and<sp />to<sp />initialize<sp />the<sp />system<sp />level<sp />drivers.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">###<sp />Clock<sp />Configuration</highlight></codeline>
<codeline />
<codeline><highlight class="normal">|<sp />Clock<sp /><sp /><sp /><sp />|<sp />Source<sp /><sp /><sp /><sp />|<sp />Output<sp />Frequency<sp />|</highlight></codeline>
<codeline><highlight class="normal">|----------|-----------|------------------|</highlight></codeline>
<codeline />
<codeline><highlight class="normal">###<sp />Power<sp />Configuration</highlight></codeline>
<codeline />
<codeline />
<codeline><highlight class="normal">##<sp />API<sp />Reference<sp />Manual</highlight></codeline>
<codeline />
<codeline><highlight class="normal">The<sp />CY8CKIT-145-40XX<sp />Board<sp />Support<sp />Package<sp />provides<sp />a<sp />set<sp />of<sp />APIs<sp />to<sp />configure,<sp />initialize<sp />and<sp />use<sp />the<sp />board<sp />resources.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">See<sp />the<sp />[BSP<sp />API<sp />Reference<sp />Manual][api]<sp />for<sp />the<sp />complete<sp />list<sp />of<sp />the<sp />provided<sp />interfaces.</highlight></codeline>
<codeline />
<codeline><highlight class="normal">##<sp />More<sp />information</highlight></codeline>
<codeline><highlight class="normal">*<sp />[CY8CKIT-145-40XX<sp />BSP<sp />API<sp />Reference<sp />Manual][api]</highlight></codeline>
<codeline><highlight class="normal">*<sp />[CY8CKIT-145-40XX<sp />Documentation](https://www.cypress.com/documentation/development-kitsboards/cy8ckit-145-40xx-psoc-4000s-capsense-prototyping-kit)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[Cypress<sp />Semiconductor,<sp />an<sp />Infineon<sp />Technologies<sp />Company](http://www.cypress.com)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[Cypress<sp />Semiconductor<sp />GitHub](https://github.com/cypresssemiconductorco)</highlight></codeline>
<codeline><highlight class="normal">*<sp />[ModusToolbox](https://www.cypress.com/products/modustoolbox-software-environment)</highlight></codeline>
<codeline />
<codeline><highlight class="normal">[api]:<sp />modules.html</highlight></codeline>
<codeline />
<codeline><highlight class="normal">---</highlight></codeline>
<codeline><highlight class="normal">©<sp />Cypress<sp />Semiconductor<sp />Corporation,<sp />2019-2020.</highlight></codeline>
    </programlisting>
    <location file="output/bsp/TARGET_CY8CKIT-145-40XX/README.md" />
  </compounddef>
</doxygen>